html,
body {
    margin: 0;
    width: 100%;
    background: linear-gradient(304deg,  rgb(9 14 24) 7%, rgba(18, 18, 18, 1) 45%, rgb(9 40 87) 92%, rgb(26 33 47) 100%);

}

#header {
    position: relative;
    top: 0;
    left: 0;
    height: 50px;
    width: 100%;
    box-shadow: 1px 2px 7px rgb(15, 15, 15);
    background: linear-gradient(304deg, rgba(11,26,60,1) 8%, rgba(16,39,91,1) 18%, rgba(7,15,34,1) 27%, rgba(8,18,40,1) 44%, rgb(19, 31, 70) 99%);
    z-index: 1;
    overflow: visible;
}
#name{
   float: left;
   cursor: pointer;
}

#header div p {
    margin: 15px;
    color: white;
    font-family: sans-serif;
    font-weight: bold;
    text-shadow: 5px 5px 10px black;
    
}

.slideshow {
    top: 5%;
    left: 0;
    height: 40%;
    width: 100%;
    box-shadow: 1px 1px 1px rgb(15, 15, 15);
    overflow: hidden;
}

@keyframes banner1 {
    0% {
        opacity: 0;
    }

    50% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes bannerA {
    0% {
        background-size: 100%;
    }

    50% {
        background-size: 140%;
    }

    100% {
        background-size: 100%;
    }
}

.banner {
    top: 0;
    left: 0;
    height: 40%;
    width: 100%;
    background-image: url("../img/bg.png");
    background-position: center;
    background-size: 110%;
    background-repeat: no-repeat;
    background-position: center center;
    
    box-shadow: 1px 1px 1px rgb(39, 39, 39);
    overflow: hidden;
    text-align: center;
    animation-name: bannerA;
    animation-iteration-count: infinite;
    animation-duration: 100s;
}

.banner h1 {
    margin-top: 10%;
    color: white;
    font-family: sans-serif;
    animation-name: banner1;
    animation-duration: 3s;
    text-shadow: rgb(19, 19, 19) 1px 1px;

}

.slidePos {
    position: absolute;
    bottom: 55%;
    left: 45%;
    height: 3%;
    width: 10%;
    overflow: hidden;
}

.slideDot {
    float: left;
    height: 22px;
    width: 22px;
    margin-left: 1%;
    background-color: rgb(29, 29, 29);
    border-radius: 100px 100px 100px 100px;
}

#aboutMe {
    top: 45%;
    left: 0;
    width: 40%;
}


.banner img {
    height: 50%;
    position: relative;
    float: right;
    margin-top: 3%;
    margin-right: 10%;
    border-radius: 50%;
}

#aboutMe div h2 {
    margin-top: 2%;
    margin-left: 3%;
    color: white;
    font-family: sans-serif;
    text-shadow: 4px 4px 15px rgb(255 255 255 / 34%);

}

#aboutMe div div p {
    position: relative;
    float: left;
    margin: 2%;
    color: white;
    font-family: sans-serif;
    width: 90%;
    
}
#aboutMeText{
    height: auto;
        overflow: hidden;
    margin-left: 2%;
    position: relative;
    width: 100%;

    background-color: rgb(26 26 26 / 42%);
    box-shadow: 2px 2px 10px 2px rgba(0, 149, 255, 0.192);
    border: 1px solid #00000045;

}




#navigation {
    float: right;
    height: 100%;
    width: 50%;
}

.tab {
    top: 0;
    height: 100%;
    width: 10%;
    float: right;
    font-family: sans-serif;
    color: white;
    margin-right: 1%;
    cursor: pointer;
    text-align: center;
    line-height: 3;

}



.tab:hover {
    background-color: rgb(26, 26, 26);
    box-shadow: 1px 1px 10px 5px rgb(0, 25, 49, 1);
    color: rgb(114 168 251)
}

#overlay {
    position: fixed;
    background-color: rgb(27, 27, 27);
    margin: 0;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 100;
    overflow: hidden;
    text-shadow: rgb(19, 19, 19) 3px 4px;
    text-align: center;
    animation-name: backgroundAnimation;
    animation-duration: 2s;
    animation-fill-mode: forwards;
    opacity: 0;
}

#overlay h1 {
    position: relative;
    top: 30%;
    color: white;
    font-family: sans-serif;
    font-size: 150;
    z-index: 1;
    animation-name: h1Animation;
    animation-duration: 1s;
    opacity: 1;
}

@keyframes h1Animation {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes leftAnimation {
    0% {
        left: 0;
    }

    50% {
        left: 0;
    }

    100% {
        left: -100%;
    }
}

@keyframes rightAnimation {
    0% {
        left: 0;
    }

    50% {
        left: 0;
    }

    100% {
        left: 100%;
    }
}

@keyframes backgroundAnimation {
    0% {
        opacity: 1;
    }

    50% {
        opacity: 1;
    }

    100% {
        opacity: 0;
        display: none;
    }
}

#overlayLeft {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgb(0, 0, 0);
    clip-path: polygon(0% 0%, 0% 100%, 100% 100%);
    animation-name: leftAnimation;
    animation-duration: 2s;

}

#overlayRight {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgb(0, 0, 0);
    clip-path: polygon(0% 0%, 100% 100%, 100% 0%);
    animation-name: rightAnimation;
    animation-duration: 2s;
}

#home {
    top: 5%;
    left: 0;
    min-height: 95%;
    width: 100%;
}

#contact {
    top: 5%;
    left: 0;
    height: 95%;
    width: 100%;
}

#form {
    position: absolute;
    top: 15%;
    left: 50%;
    transform: translateX(-50%);
    width: 600px;
    padding: 20px;
    background-color: rgb(0 0 0 / 51%);
    border-radius: 1px;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.5);
    font-family: 'Arial', sans-serif;
    box-sizing: border-box;
}

#form h2 {
    color: white;
    font-family: 'Arial', sans-serif;
    text-align: center;
    margin-bottom: 20px;
    font-size: 1.8em;
    font-weight: bold;
}

label {
    display: block;
    margin-bottom: 8px;
    font-size: 1.1em;
    color: white;
    font-family: 'Arial', sans-serif;
}

textarea {
    resize: none;
    width: 100%;
    padding: 20px;
    margin-bottom: 20px;
    border: 1px solid #ffffff14;
    background-color: rgb(255 255 255 / 4%);
    color: white;
    font-family: 'Arial', sans-serif;
    font-size: 1em;
    height: 300px;
    border-radius: 4px;
    outline: none;
    box-sizing: border-box;
}

input[type="email"] {
    width: 100%;
    padding: 20px;
    margin-bottom: 20px;
    border: 1px solid #ffffff14;
    background-color: rgb(255 255 255 / 4%);
    color: white;
    font-family: 'Arial', sans-serif;
    font-size: 1em;
    height: 50px;
    border-radius: 4px;
    outline: none;
    box-sizing: border-box;
}

input[type="text"]:focus,
textarea:focus {
    border-color: #2b2eda;
}

#sendBtn {
    width: 100%;
    padding: 15px;
    border: 1px solid #ffffff42;
    background-color: rgb(0 0 0);
    color: white;
    font-family: 'Arial', sans-serif;
    font-size: 1.1em;
    text-align: center;
    cursor: pointer;
    transition: background-color 0.3s ease;
    border-radius: 4px;
    outline: none;
}

#sendBtn:hover {
    background-color: rgb(0 0 0 / 0%);
}

#sendBtn:focus {
    border-color: #003cff3a;
}


#skills {
    position: absolute;
    top: 50%;
    left: 70%;
    height: 420px;
    width: 280px;
    
}

.skillBox {
    position: relative;
    float: left;
    height: 130px;
    width: 130px;
    background-color: rgb(20, 20, 20);
    box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.322);
    margin: 5px;
    font-family: sans-serif;
    font-weight: bold;
    color: white;
    text-align: center;
    line-height: 1.2;
    white-space: normal;
    word-break: break-word;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;

}


#btitle{
    height: 5%;
    width: 10%;
    border-radius: 30px;
    box-shadow: 3px 5px 1px rgb(0, 0, 0);
    font-family: sans-serif;
    font-weight: 500;
    font-size: larger;
    
    
    

    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    background-color: rgb(0 149 255 / 38%);
    color: rgb(255, 255, 255);
    position: absolute;  
    left: 5%;
    top: 10%; 
    width: 20%;
}

#bd{
    height: 5%;
    width: 10%;
    border-radius: 30px;
    box-shadow: 3px 5px 1px rgb(0, 0, 0);
    font-family: sans-serif;
    font-weight: 500;
    font-size: larger;
    
    
    

    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    position: absolute;  
    left: 10%;
    top: 20%; 
    width: 20%;

    background-color: rgb(24 24 24 / 73%);
    color: white;
}

#bc{
    height: 5%;
    width: 10%;
    border-radius: 30px;
    box-shadow: 3px 5px 1px rgb(0, 0, 0);
    font-family: sans-serif;
    font-weight: 500;
    font-size: larger;
    
    
    

    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    position: absolute;  
    right: 5%;
    top: 33%; 
    width: 20%;
    border: 1px solid rgba(0, 0, 0, 0.233);
    background-color: #ffffff12;
    color: rgb(255, 255, 255);
    cursor: pointer;
}

#bc:hover{
    background-color: #ffffff2a;
}

#skills1 {
    position: absolute;
    top: 48%;
    right: 0%;
    height: 420px;
    width: 320px;
    
}


.skillBox1 {
    position: relative;
    float: right;
    margin-top: 4%;
    height: 10%;
    width: 100%;
    background-color: #4184c92b;
    border: 1px solid rgba(0, 0, 0, 0.12);


    box-shadow: -5px 5px 5px rgba(0, 0, 0, 0.322);
    font-family: sans-serif;
    font-weight: bold;
    color: white;
    
    line-height: 1.2;
    white-space: normal;
    word-break: break-word;
    display: flex;
    align-items: center;

    border-bottom-left-radius: 10px;
    border-top-left-radius: 10px;

    cursor: pointer;

    transition: 0.5s;
}

.skillBox1:hover{
    width: 150% !important; 
    height: 20%;
    background-color: #4185c944;

    p {
        visibility: hidden;
    }

    p::after{
        visibility: visible;
        content: attr(data-dsc);
    }
}

.skillBoxDsc{
    position: fixed;
    top: 30%;
    left: 33%;
    position: fixed;
    height: 25%;
    width: 30%;
    z-index: 1000;
    backdrop-filter: blur(10px);
    background-color: rgb(0 0 0 / 55%);

}

#blurScreen{
    position: fixed;
    top: 0;
    left: 0;
    margin: 0;
    z-index: 999;
    height: 100%;
    width: 100%;
    backdrop-filter: blur(7px);
}

.skillBox1 p{
    right: 2%;
    text-align: end;
}

#aboutme img {
    display: none;
    visibility: hidden;
}

.skills2{
    display: none;
    visibility: hidden;
}

#bcMobile{
    display: none;
    visibility: hidden;
}

#footer{
    position: absolute;
    
    left: 0;
    width: 100%;
    height: 50px;
    background-color: #1c1c1cb3;
}
.ftab{
    top: 0;
    height: 100%;
    float: left;
    font-family: sans-serif;
    color: white;
    margin-left: 1%;
    cursor: pointer;
    text-align: center;
    line-height: 3;
}

.ftab:hover {
    color: rgb(114 168 251)
}

#impressum{
    color: white;
    font-family: sans-serif;
}
#impressum h1{
    margin: 1%;
}

#itxt{
    margin: 2%;
}

#datenschutzerklärung{
    color: white;
    font-family: sans-serif;
}
#datenschutzerklärung h1{
    margin: 1%;
}

#dtxt{
    margin: 2%;
}

#dl{
    color: #006cc9;
}

#inputCheckLabel{
    font-size: smaller;
}